> ## Documentation Index
> Fetch the complete documentation index at: https://docs.boostgpt.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Agent

> Update an existing agent's configuration



## OpenAPI

````yaml /api-reference/openapi.json put /v1/bot/update
openapi: 3.0.0
info:
  title: BoostGPT API
  version: 1.0.0
  description: API for managing AI agents with memory capabilities
servers:
  - url: https://api.boostgpt.co
    description: Production server
security:
  - BearerAuth: []
tags:
  - name: Agent
    description: Operations for managing AI agents
  - name: Memory
    description: Operations for managing agent memory sources
  - name: Chat
    description: Operations for chatting with agents and managing conversations
  - name: Subscribers
    description: Operations for managing subscribers and leads
  - name: Tools
    description: Operations for managing agent tools and MCP server integrations
  - name: Analytics
    description: Operations for retrieving agent statistics and analytics
  - name: Heartbeat
    description: Operations for managing autonomous agent scheduling and execution
  - name: User Memory
    description: Operations for managing per-user memory entries
  - name: Email
    description: Operations for managing agent email functionality
  - name: Triggers
    description: Operations for firing proactive agent trigger events
  - name: CRM
    description: >-
      Operations for managing agent CRM contacts, pipelines, deals, follow-ups,
      and reports
  - name: Workflows
    description: Operations for managing agent workflow automations
  - name: Calendar
    description: Operations for managing agent calendar settings, availability, and events
  - name: Workspace
    description: Operations for managing agent workspaces and files
paths:
  /v1/bot/update:
    put:
      tags:
        - Agent
      summary: Update Agent
      description: Update an existing agent's configuration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateAgentRequest'
      responses:
        '200':
          description: Agent updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateAgentResponse'
        '404':
          description: Agent not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    UpdateAgentRequest:
      type: object
      required:
        - project_id
        - bot_id
      properties:
        project_id:
          type: string
          description: The project ID
        bot_id:
          type: string
          description: The agent ID to update
        model:
          type: string
          description: Updated AI model
        instruction:
          type: string
          description: Updated system instructions
        status:
          type: integer
          description: Updated status
          enum:
            - 0
            - 1
        heartbeat:
          type: integer
          description: >-
            Enable heartbeat (autonomous scheduling) for this agent (0 = off, 1
            = on)
          enum:
            - 0
            - 1
    UpdateAgentResponse:
      type: object
      description: Agent update response containing only the ID and updated fields
      properties:
        id:
          type: string
          description: Agent ID
        updated_at:
          type: string
          description: Last update timestamp
        model:
          type: string
          description: Updated AI model (if changed)
        instruction:
          type: string
          description: Updated system instructions (if changed)
        status:
          type: integer
          description: Updated status (if changed)
          enum:
            - 0
            - 1
        name:
          type: string
          description: Updated agent name (if changed)
        reasoning_type:
          type: string
          description: Updated reasoning type (if changed)
        max_reply_tokens:
          type: string
          description: Updated max reply tokens (if changed)
        top:
          type: integer
          description: Updated top value (if changed)
        heartbeat:
          type: integer
          description: Updated heartbeat setting (if changed)
          enum:
            - 0
            - 1
      required:
        - id
        - updated_at
    Error:
      type: object
      properties:
        error:
          type: string
          description: Error message
        code:
          type: string
          description: Error code
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: Enter your API key

````